SellAuth

Downloadable Files

Get Files

Retrieves the downloadable files for a shop.

GET
/v1/shops/{shopId}/downloadable-files

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/downloadable-files" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Create File

Uploads a downloadable file.

POST
/v1/shops/{shopId}/downloadable-files

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

multipart/form-dataRequired
fileRequiredfile

Must be a file.

Format: "binary"
display_namestring

Must not be greater than 255 characters.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/downloadable-files" \
  -H "Authorization: Bearer <token>" \
  -F file="string" \
  -F display_name="pasyzwszwtxpeqq"

Bulk Delete Files

Deletes downloadable files in bulk.

POST
/v1/shops/{shopId}/downloadable-files/bulk-delete

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
file_idsarray<string>

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/downloadable-files/bulk-delete" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "file_ids": [
      "culpa"
    ]
  }'

Delete File

Deletes a downloadable file.

DELETE
/v1/shops/{shopId}/downloadable-files/{fileId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

fileIdRequiredstring
curl -X DELETE "https://api.sellauth.com/v1/shops/{shopId}/downloadable-files/culpa" \
  -H "Authorization: Bearer <token>"